Package com.orchestranetworks.schema.dynamic

# Interface BeanFacetTableRef

All Superinterfaces:
  `BeanFacet`

public interface BeanFacetTableRef extends BeanFacet
This interface allows setting the properties of a foreign key facet.

Since:
  5.8.0
See Also:
  - `BeanElement.addFacetTableRef(com.onwbp.adaptation.AdaptationTable)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setDisplay(Class<? extends TableRefDisplay> aDisplayClass)`
  Sets a programmatic custom display for presenting the selected foreign key in the current record and the sorted list of possible keys.
  `void`
  `setDisplayPattern(UserMessage aPattern)`
  Sets a custom display pattern for presenting the selected foreign key in the current record and the sorted list of possible keys.
  `void`
  `setDisplayPattern(String aPattern)`
  Sets a custom display pattern for presenting the selected foreign key in the current record and the sorted list of possible keys.
  `void`
  `setFilter(Class<? extends TableRefFilter> aFilterClass)`
  Sets a programmatic filter.
  `void`
  `setFilterPredicate(String aPredicate)`
  Sets an XPath predicate filter.
  `void`
  `setFilterPredicate(String aPredicate, Severity aSeverity, String aMessage)`
  Sets an XPath predicate filter.
  `void`
  `setFilterPredicate(String aPredicate, UserMessage aValidationMessage)`
  Sets an XPath predicate filter.
  `void`
  `setFilterPredicate(String aPredicate, String aMessage)`
  Sets a XPath predicate filter.
  `void`
  `setTableView(String aPublicationName)`
  Sets the view to use when displaying the referenced table.

  ### Methods inherited from interface com.orchestranetworks.schema.dynamic.BeanFacet

  `setMessage, setMessage, setMessage`

- ## Method Details

  - ### setDisplayPattern

    void setDisplayPattern(String aPattern)

    Sets a custom display pattern for presenting the selected foreign key in the current record and the sorted list of possible keys.

    Parameters:
      `aPattern` - the pattern to be used for the display.

  - ### setDisplayPattern

    void setDisplayPattern(UserMessage aPattern)

    Sets a custom display pattern for presenting the selected foreign key in the current record and the sorted list of possible keys.

    Parameters:
      `aPattern` - the pattern to be used for the display.

  - ### setDisplay

    void setDisplay(Class<? extends TableRefDisplay> aDisplayClass)

    Sets a programmatic custom display for presenting the selected foreign key in the current record and the sorted list of possible keys.

    Parameters:
      `aDisplayClass` - the display class. This class must implement the interface `TableRefDisplay`.

  - ### setFilterPredicate

    void setFilterPredicate(String aPredicate)

    Sets an XPath predicate filter.

    Default error message is used if the current value is not part of the list selected by the filter.

    Parameters:
      `aPredicate` - the XPath predicate expression.

  - ### setFilterPredicate

    void setFilterPredicate(String aPredicate, String aMessage)

    Sets a XPath predicate filter.

    Parameters:
      `aPredicate` - the XPath predicate expression.
      `aMessage` - the error message that is used if the current value is not part of the list selected by the filter.

  - ### setFilterPredicate

    void setFilterPredicate(String aPredicate, Severity aSeverity, String aMessage)

    Sets an XPath predicate filter.

    Parameters:
      `aPredicate` - the XPath predicate expression.
      `aSeverity` - the severity of the message that is used if the current value is not part of the list selected by the filter.
      `aMessage` - the message that is used if the current value is not part of the list selected by the filter.

  - ### setFilterPredicate

    void setFilterPredicate(String aPredicate, UserMessage aValidationMessage)

    Sets an XPath predicate filter.

    Parameters:
      `aPredicate` - the XPath predicate expression.
      `aValidationMessage` - the localized message and severity that is used if the current value is not part of the list selected by the filter.

  - ### setFilter

    void setFilter(Class<? extends TableRefFilter> aFilterClass)

    Sets a programmatic filter.

    Parameters:
      `aFilterClass` - the filter class. This class must implement the interface `TableRefFilter`.

  - ### setTableView

    void setTableView(String aPublicationName)
    Sets the view to use when displaying the referenced table.
    Parameters:
      `aPublicationName` - the publication name of the table view.